com.sun.messaging.jms.management.server

## Class TransactionNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.TransactionNotification

All Implemented Interfaces:
  Serializable

    public class TransactionNotification
    extends MQNotification

Class containing information on transaction notifications.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `TRANSACTION_COMMIT` A transaction was committed.
`static String` `TRANSACTION_PREPARE` A transaction has entered the prepared state.
`static String` `TRANSACTION_ROLLBACK` A transaction was rolled back.

### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

`PREFIX`

### Fields inherited from class javax.management.Notification

`source`

### Constructor Summary

Constructors
Constructor and Description
`TransactionNotification(String type, Object source, long sequenceNumber)` Creates a TransactionNotification object.

### Method Summary

Methods
`String` `getTransactionID()`
`void` `setTransactionID(String id)`

### Methods inherited from class javax.management.Notification

`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TRANSACTION_COMMIT

    public static final String TRANSACTION_COMMIT

A transaction was committed.

See Also:
  Constant Field Values

#### TRANSACTION_PREPARE

    public static final String TRANSACTION_PREPARE

A transaction has entered the prepared state.

See Also:
  Constant Field Values

#### TRANSACTION_ROLLBACK

    public static final String TRANSACTION_ROLLBACK

A transaction was rolled back.

See Also:
  Constant Field Values

### Constructor Detail

#### TransactionNotification

    public TransactionNotification(String type,
                           Object source,
                           long sequenceNumber)

Creates a TransactionNotification object.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.

### Method Detail

#### setTransactionID

    public void setTransactionID(String id)

#### getTransactionID

    public String getTransactionID()